MODULE YOMSPNRM

USE PARKIND1  ,ONLY : JPRB

IMPLICIT NONE

SAVE

! ----------------------------------------------------------------------

! * AVNRM[X]: Spectral norms computed under SPNORM
!   [X]=SP for log of surface pressure, VOR for vorticity,
!    DIV for divergence, T for temperature, Q for humidity,
!    KE for kinetic energy, SPD for pressure departure variable,
!    SVD for vertical divergence variable.

REAL(KIND=JPRB) :: AVNRMSP
REAL(KIND=JPRB) :: AVNRMVOR
REAL(KIND=JPRB) :: AVNRMDIV
REAL(KIND=JPRB) :: AVNRMT
REAL(KIND=JPRB) :: AVNRMQ
REAL(KIND=JPRB) :: AVNRMKE
REAL(KIND=JPRB) :: AVNRMSPD
REAL(KIND=JPRB) :: AVNRMSVD

! ----------------------------------------------------------------------

END MODULE YOMSPNRM
